## db5.3 5.3.15

=== debian/changelog ===
db5.3 (5.3.15-4ubuntu3) raring; urgency=low

  * Search for tcl in the multiarch location, thus fixing FTBFS.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 02 Apr 2013 10:59:00 +0100

db5.3 (5.3.15-4ubuntu2) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * Cross building fixes (LP: #1105368):
    - do not run tests when crossbuilding, when nocheck is enabled or stage1.
    - do not check db_signature in stage1 build.
    - comment that tcl:native is needed for cross-builds.

  * Really clean the build directory.
  
  * Thanks to wookey for the initial patch.

  [ Colin Watson ]
  * Use the autotools-dev dh addon, so that we update all the
    config.guess/config.sub copies rather than just the one in dist/.

  [ Matthias Klose ]
  * Disable java bindings for arm64.
  * Introduce a stage1 build to skip the java and the tcl bindings.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 12 Feb 2013 16:32:10 +0000

db5.3 (5.3.15-4ubuntu1) quantal; urgency=low

  * Ensure backwards compatible Java bytecode is built (LP: #1049766):
    - d/rules: Specify JAVACFLAGS (source/target = 1.5) and pass to
      dh_auto_configure. 

 -- James Page <james.page@ubuntu.com>  Wed, 19 Sep 2012 19:34:00 +0100

db5.3 (5.3.15-4) unstable; urgency=low

  * Suggests instead of Recommends for libdb5.3-java-gcj
  * Explicitly depend on debhelper (>= 9)
  * Split libdb5.3-java to arch independent libdb5.3-java and move JNI
    libraries to libdb5.3-java-jni (Closes: #669992)
  * Fix E: db source: not-binnmuable-any-depends-all libdb5.1-java-dev -
    > libdb5.1-java and W: db source: out-of-date-standards-version
    3.9.2 (current is 3.9.3)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 May 2012 14:22:34 +0200

db5.3 (5.3.15-3) unstable; urgency=low

  * Configure to enable the historic dbm interface.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 May 2012 14:21:30 +0200

db5.3 (5.3.15-2) unstable; urgency=low

  * Update description for version 5.3
  * Fix missing conflicts with db5.1 and db5.2
    (Closes: #656725, #656726, #656727)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 21 Jan 2012 14:29:58 +0100

db5.3 (5.3.15-1) unstable; urgency=low

  * Imported Upstream version 5.3.15
  * Prepare db5.3 release
  * Run all tests in the TCL suite
  * s/sqlite/sqlite3/ in description of db5.3_sql
  * Bump versioned symbols to DB5_3
  * Update patches for new release
  * Update saved db_signature on amd64
  * Update lintian-overrides to not include dates for config.{sub,guess}

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Jan 2012 18:28:06 +0100

db5.2 (5.2.36-1) experimental; urgency=low

  * Imported Upstream version 5.2.36
  * Adapt debian/ directory from db5.1 to db5.2
  * Update Vcs-* links to db5.2
  * Add git-buildpackage configuration
  * Drop 001-documentation_update.patch; fixed upstream
  * Refresh patches to the new release
  * Do a double build and --disable-test for production version
    of Berkeley DB libraries (as recommended by upstream)
  * Update saved region environment signature to match production
    version
  * Update source.lintian-overrides to match source name

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Sep 2011 13:39:02 +0200

db (5.1.25-11) unstable; urgency=low

  * Disable libdb5.1-java-gcj on sh4 (Closes: #623980)
  * Add code to compare built-in signature to prevent future bugs
    like #625484
  * Print built-in signature to the build log
  * Update Vcs-* links
  * Apply MultiArch patch (Courtesy of Steve Langasek) (Closes: #631318)
  * Update db_signature linking to MultiArch libraries
  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
    + Only generate the signature if we don't have it (first pass)
  * Install build_signature_$(ARCH).txt to libdb5.1 package
    + This will allow to add all correct signatures in next upload

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2011 14:26:40 +0200

db (5.1.25-10) unstable; urgency=low

  * Drop dependency on ca-certificates-java, it didn't work for non
    openjdk platforms anyway

 -- Ondřej Surý <ondrej@debian.org>  Sun, 24 Apr 2011 22:24:00 +0200

db (5.1.25-9) unstable; urgency=low

  * Fix HOST vs BUILD variables (Closes: #623543)
  * Rewrite debian/rules to use ENABLE_JAVA and ENABLE_GCJ
  * Enable Java on mips again
  * Move db5.1-sql util to separate package to prevent db5.1-util
    dependency on lidb5.1-sql library
  * Build-depends on ca-certificates-java (>> 20100412)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Apr 2011 14:30:22 +0200

db (5.1.25-8) unstable; urgency=low

  * Disable Java build on mips to fix FTBS

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 15:22:27 +0200

db (5.1.25-7) unstable; urgency=low

  * Revert to upstream JAR name -> db.jar

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 08:51:57 +0200

db (5.1.25-6) unstable; urgency=low

  * Enable Java support on every Debian architecture
  * Debian packaging:
    + Add javahelper addon for debhelper
    + Change DEB_HOST_ARCH to DEB_BUILD_ARCH
    + Keep -Ddist -Bbuild to overridden dh_auto_ commands to fix
      javahelper breakage
    + Fix typo and set GCJ CFLAGS out of the condition
    + Only rename db.jar to libdb5.1.jar and rest let to jh_installlibs
    + Change --fail-missing to --list-missing
    + Move dh_nativejava after jh_installibs

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 00:21:34 +0200

db (5.1.25-5) unstable; urgency=low

  * Fix FTBFS when buildd directory is named db_<version>

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2011 18:18:01 +0200

db (5.1.25-4) unstable; urgency=low

  * Add debug info for all libraries
  * Fix FTBFS on freebsd-{amd64,i386} (Thanks Matthias Klose)
    (Closes: #621878)
  * Fix lintian warnings and errors:
    + Update default java build dependencies
    + Tighten Java libraries dependencies
    + Fix errors in db5.1_load.1 manpage
  * Debian packaging:

