=== debian/control ===
Source: db5.3
Section: libs
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.9.3
# For cross building one also needs tcl8.4:native (ie. such that it
# can be executed to pre-process sqlite3 components).
# For DEB_STAGE=stage1 build tcl-dev, javahelper, default-jdk,
# gcj-native-helper can be dropped
Build-Depends: debhelper (>= 9),
	       autotools-dev (>= 20100122.1),
	       tcl-dev,
	       procps [!hurd-i386],
	       javahelper [!arm64],
	       default-jdk [!arm64],
	       gcj-native-helper [!arm64]
Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Vcs-Browser: http://git.debian.org/?p=pkg-db/db5.3.git
Vcs-Git: git://git.debian.org/pkg-db/db5.3.git

Package: db5.3-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Berkeley v5.3 Database Documentation [html]
 This package contains documentation in HTML format for all of
 the APIs (C, C++, C#, STL, Java, Tcl) and utilities provided
 by version 5.3 of Berkeley DB.

Package: libdb5.3-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.3 (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.3-doc
Conflicts: libdb4.6-dev, libdb4.7-dev, libdb4.8-dev, libdb5.1-dev, libdb5.2-dev
Description: Berkeley v5.3 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.

Package: libdb5.3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Libraries [runtime]
 This is the runtime package for programs that use the v5.3 Berkeley
 database library.

Package: db5.3-util
Architecture: any
Section: database
Priority: optional
Multi-Arch: foreign
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.3 database format, and includes:
  - db5.3_archive: write the pathnames of the log files no longer in use.
  - db5.3_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db5.3_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db5.3_load: loads (and creates) a database from standard input.
  - db5.3_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db5.3_printlog: dump log files in human readable format.
  - db5.3_stat: display statistics for Berkeley DB environments.
  - db5.3_upgrade: upgrades the version of files and the databases they
    contain.
  - db5.3_verify: check the structure of files and their databases.

Package: db5.3-sql-util
Architecture: any
Section: database
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 SQL Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.3 SQL database format, and includes:
  - db5.3_sql: sqlite3 compatible command-line utility

Package: libdb5.3++
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Priority: optional
Description: Berkeley v5.3 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v5.3
 database library.  This is only for programs which use the C++ interface.

Package: libdb5.3++-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.3++ (= ${binary:Version}),
	 libdb5.3-dev (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb4.6++-dev, libdb4.7++-dev, libdb4.8++-dev, libdb5.1++-dev, libdb5.2++-dev
Description: Berkeley v5.3 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb5.3-tcl
Architecture: any
Section: interpreters
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libdb4.6-tcl, libdb4.7-tcl, libdb4.8-tcl, libdb5.1-tcl, libdb5.2-tcl
Depends: ${tcl:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Libraries for Tcl [module]
 This package provides a Tcl module suitable for accessing Berkeley v5.3
 databases from within Tcl programs.

Package: libdb5.3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdb5.3 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: Berkeley v5.3 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v5.3 database
 libraries and binaries.

Package: libdb5.3-java-jni
Architecture: any
Section: java
Priority: optional
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libdb5.3-java (<< ${source:Version})
Conflicts: libdb5.1-java, libdb5.2-java
Multi-Arch: same
Description: Berkeley v5.3 Database Libraries for Java
 This package provides the Java interface for the Berkeley v5.3 database
 library.

Package: libdb5.3-java
Architecture: all
Section: java
Priority: optional
Depends: libdb5.3-java-jni (>= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libdb5.3-java-gcj
Multi-Arch: foreign
Description: Berkeley v5.3 Database Libraries for Java
 This package provides the Java interface for the Berkeley v5.3 database
 library.

Package: libdb5.3-java-gcj
Architecture: any
Section: java
Priority: optional
Depends: libdb5.3-java (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.3 Database Libraries for Java (native code)
 This package provides the Java interface for the Berkeley v5.3 database
 library.
 .
 This package contains the natively compiled code for use by gij.

Package: libdb5.3-java-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libdb5.3-java (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libdb4.6-java-dev, libdb4.7-java-dev, libdb4.8-java-dev, libdb5.1-java-dev, libdb5.2-java-dev
Description: Berkeley v5.3 Database Libraries for Java [development]
 This package provides the Java interface for the Berkeley v5.3 database
 library.

Package: libdb5.3-sql-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.3-sql (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb5.1-sql-dev, libdb5.2-sql-dev
Suggests: db5.3-doc
Description: Berkeley v5.3 Database Libraries [SQL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.

Package: libdb5.3-sql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v5.3 Database Libraries [SQL runtime]
 This is the runtime package for programs that use the v5.3 Berkeley
 database SQL library.

Package: libdb5.3-stl-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.3-stl (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb5.1-stl-dev, libdb5.2-stl-dev
Suggests: db5.3-doc
Description: Berkeley v5.3 Database Libraries [STL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.3 database library.

Package: libdb5.3-stl
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Berkeley v5.3 Database Libraries [STL runtime]
 This is the runtime package for programs that use the v5.3 Berkeley
 database STL library.
