## db5.3 5.3.21

=== debian/changelog ===
db5.3 (5.3.21-2) unstable; urgency=low

  * Add myself to uploaders.
  * Use /usr/share/dpkg/architecture.mk

  Apply changes from Ubuntu packaging:
  * debian/patches/link-sql-libs: Add new patch to fix FTBFS due to
    missing -ldl link on libdb_sql-5.1.
  * Search for tcl in the multiarch location, conditionally.
  * Enable historic dbm interface. Thanks Wookey. (LP: #1126392)
  * Cross building fixes (LP: #1105368):
    - do not run tests when crossbuilding, when nocheck is enabled or stage1.
    - do not check db_signature in stage1 build.
    - comment that tcl:native is needed for cross-builds.
  * Really clean the build directory.
  * Use the autotools-dev dh addon, so that we update all the
    config.guess/config.sub copies rather than just the one in dist/.
  * Introduce a stage1 build to skip the java and the tcl bindings.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 15 Aug 2013 14:21:00 +0100

db5.3 (5.3.21-1) unstable; urgency=low

  * Imported Upstream version 5.3.21
  * Ensure backwards compatible Java bytecode is built (Closes: #688192)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Mar 2013 15:02:20 +0100
