=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,7 @@
 
 export DH_ALWAYS_EXCLUDE=.arch-ids
 
-DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEB_BUILD_GNU_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
-DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 # Don't try to build this file if missing
 /usr/share/gcj/debian_defaults /usr/share/javahelper/java-vars.mk:
@@ -27,8 +19,8 @@
 -include /usr/share/gcj/debian_defaults
 -include /usr/share/javahelper/java-vars.mk
 
-JAVA_BROKEN_ARCHS = arm64
-GCJ_BROKEN_ARCHS = arm64 ia64 sparc mips sh4
+JAVA_BROKEN_ARCHS =
+GCJ_BROKEN_ARCHS = ia64 sparc mips sh4
 GCJ_NATIVE_ARCHS = $(filter-out $(GCJ_BROKEN_ARCHS), $(gcj_native_archs))
 
 ENABLE_JAVA=no
@@ -61,22 +53,32 @@
 			--enable-dbm
 
 ifeq ($(ENABLE_TCL),yes)
-ENABLE_TESTS=yes
-CONFIGURE_SWITCHES += --enable-tcl \
-	              --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)
-else
-ENABLE_TESTS=no
-CONFIGURE_SWITCHES += --disable-tcl
-DH_OPTIONS += -Nlibdb5.1-tcl
+  ENABLE_TESTS=yes
+  CONFIGURE_SWITCHES += --enable-tcl
+ifneq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/tcl*))
+  CONFIGURE_SWITCHES += --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)
+else
+  CONFIGURE_SWITCHES += --with-tcl=/usr/lib
+endif
+else
+  ENABLE_TESTS=no
+  CONFIGURE_SWITCHES += --disable-tcl
+  DH_OPTIONS += -Nlibdb5.1-tcl
 endif
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-ENABLE_TESTS=no
+  ENABLE_TESTS=no
 endif
 
 ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-ENABLE_TESTS=no
-endif  
+  ENABLE_TESTS=no
+endif
+
+ifeq ($(ENABLE_TESTS),yes)
+  CONFIGURE_SWITCHES += --enable-test
+else
+  CONFIGURE_SWITCHES += --disable-test
+endif
 
 ifeq (zx86_64-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
 CONFIGURE_SWITCHES += --with-mutex=POSIX/pthreads/library
@@ -102,7 +104,7 @@
 
 ifeq (no,$(ENABLE_SQL))
 DH_OPTIONS += -Nlibdb5.1-sql
-CONFIGURE_SWITCHES += --disable-sql
+  CONFIGURE_SWITCHES += --disable-sql
 endif
 
 
@@ -125,13 +127,13 @@
 	dh $@ --with=autotools-dev $(DH_PLUGINS)
 
 override_dh_auto_configure:
-ifeq ($(ENABLE_TESTS),yes)
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild-test -- $(CONFIGURE_SWITCHES) --enable-test
 endif
 	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild-production -- $(CONFIGURE_SWITCHES) --disable-test
 
 override_dh_auto_clean:
-ifeq ($(ENABLE_TESTS),yes)
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_clean -Ddist -Bbuild-test
 endif
 	dh_auto_clean -Ddist -Bbuild-production
@@ -139,7 +141,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(VERY_BROKEN_CPUS))$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(VERY_BROKEN_SYSTEMS)))
-ifeq ($(ENABLE_TESTS),yes)
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	cd build-test && make cutest && ./cutest
 	echo 'source ../test/tcl/test.tcl; run_std;' | tclsh
