## db5.3 5.3.28

=== debian/changelog ===
db5.3 (5.3.28-3) unstable; urgency=low

  * Reduce duplicate static libraries in libdb5.3{++,-sql,-stl,-tcl}-dev

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Oct 2013 09:17:57 +0100

db5.3 (5.3.28-2) unstable; urgency=low

  * Enable GCJ native arch on all architectures again

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Oct 2013 19:12:28 +0100

db5.3 (5.3.28-1) unstable; urgency=low

  [ Ondřej Surý ]
  * Install only build_signature_$(ARCH).txt to $(ARCH) package (Closes: #720029)
  * Add watch file for 5.3.x release
  * New upstream version 5.3.28
  * Update patches for 5.3.28 release

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Oct 2013 14:38:30 +0100
