=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: db5.3
 Section: libs
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>
+Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>, Dmitrijs Ledkovs <xnox@debian.org>
 Standards-Version: 3.9.3
 # For cross building one also needs tcl8.4:native (ie. such that it
 # can be executed to pre-process sqlite3 components).
@@ -13,9 +12,9 @@
 	       autotools-dev (>= 20100122.1),
 	       tcl-dev,
 	       procps [!hurd-i386],
-	       javahelper [!arm64],
-	       default-jdk [!arm64],
-	       gcj-native-helper [!arm64]
+	       javahelper,
+	       default-jdk,
+	       gcj-native-helper
 Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
 Vcs-Browser: http://git.debian.org/?p=pkg-db/db5.3.git
 Vcs-Git: git://git.debian.org/pkg-db/db5.3.git
