=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -include /usr/share/javahelper/java-vars.mk
 
 JAVA_BROKEN_ARCHS =
-GCJ_BROKEN_ARCHS = ia64 sparc mips sh4
+GCJ_BROKEN_ARCHS = 
 GCJ_NATIVE_ARCHS = $(filter-out $(GCJ_BROKEN_ARCHS), $(gcj_native_archs))
 
 ENABLE_JAVA=no
@@ -167,8 +167,11 @@
 # Remove libdb*-5.so from all packages, we don't provide generic libdb5 packages
 	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb*5.so
 
-	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a
-	ln -s libdb-$(bdbversion).a $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb.a
+# Reduce duplication in duplicate .a files by symlinking
+	for v in "" _cxx _sql _stl _tcl; do \
+	  rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb$$v.a; \
+	  ln -s libdb$$v-$(bdbversion).a $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdb$$v.a; \
+	done
 
 # only works for the native build
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
@@ -207,6 +210,8 @@
 override_dh_installdocs:
 	dh_installdocs -pdb5.3-doc
 	dh_installdocs --remaining-packages --link-doc=libdb5.3
+	# Install build_signature_$(DEB_HOST_ARCH).txt to docs
+	install -m 644 debian/build_signature_$(DEB_HOST_ARCH).txt $(CURDIR)/debian/libdb5.3/usr/share/doc/libdb5.3/
 
 override_dh_strip:
 	dh_strip -s --dbg-package=libdb5.3-dbg
