## db5.3 5.3.28%2Bdfsg2

=== debian/changelog ===
db5.3 (5.3.28+dfsg2-10) unstable; urgency=medium

  * QA upload

  [ Simon Chopin ]
  * d/rules: explicitly use the gnu14 C standard (Closes: #1096505)

 -- Bastian Germann <bage@debian.org>  Mon, 06 Oct 2025 18:03:18 +0200

db5.3 (5.3.28+dfsg2-9) unstable; urgency=medium

  * QA upload.
  * Fix the "64-bit integral type support for sequences"
    autoconf test with gcc 14.

 -- Adrian Bunk <bunk@debian.org>  Tue, 15 Oct 2024 14:40:15 +0300

db5.3 (5.3.28+dfsg2-8) unstable; urgency=medium

  * QA upload

  [ Samuel Thibault ]
  * control: Generalize hurd-i386 into hurd-any.

  [ Bastian Germann ]
  * Fix FTBFS because of implicit-int (Closes: #1084782)
  * Fix OPD checkpoint deadlock (Closes: #932758)

 -- Bastian Germann <bage@debian.org>  Thu, 10 Oct 2024 11:54:04 +0200

db5.3 (5.3.28+dfsg2-7) unstable; urgency=medium

  [ Bastian Germann ]
  * Compile db_signature with expected flags

  [ Thorsten Glaser ]
  * QA upload.
  * Fix misuse of struct timespec (buffer overflow on ILP32 t64
    architectures, more on big endian); with help from Bernhard
    Übelacker (Closes: #1067639)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 13 Apr 2024 15:12:36 +0200

db5.3 (5.3.28+dfsg2-6) unstable; urgency=medium

  * QA upload
  * debian/patches: Add missing #include to fix configure check (Closes:
    #1066003)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Mar 2024 21:33:34 +0100

db5.3 (5.3.28+dfsg2-5) unstable; urgency=medium

  * debian/rules: fix remaining references to libdb5.3 that make the -dev
    package uninstallable.

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 00:30:51 +0000

db5.3 (5.3.28+dfsg2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062020

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 01:11:42 +0000

db5.3 (5.3.28+dfsg2-4) unstable; urgency=medium

  * QA upload
  * Add db5.3_tuner (Closes: #1055722)

 -- Bastian Germann <bage@debian.org>  Fri, 10 Nov 2023 14:13:50 +0100

db5.3 (5.3.28+dfsg2-3) unstable; urgency=medium

  * Orphan the package

 -- Bastian Germann <bage@debian.org>  Sat, 04 Nov 2023 20:55:49 +0100

db5.3 (5.3.28+dfsg2-2) unstable; urgency=medium

  * d/watch: Drop non-existing website
  * Demote libdb5.3's Priority to optional
  * Apply Rules-Requires-Root (Closes: #1043077)
  * Drop java and tcl packages (Closes: #650844)
  * Rename wrongly prefixed patches
  * Drop sql and stl packages (Closes: #1010974, #928441, #715779)

  [ Debian Janitor ]
  * db5.3-doc: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Sun, 06 Aug 2023 15:50:06 +0200

db5.3 (5.3.28+dfsg2-1) unstable; urgency=medium

  * Eliminate a shell script that has a non-free license
  * d/copyright: Join redundant Comments
  * Adopt the package (Closes: #1014386)

 -- Bastian Germann <bage@debian.org>  Mon, 16 Jan 2023 21:25:20 +0100

db5.3 (5.3.28+dfsg1-0.10) unstable; urgency=medium

  * Non-maintainer upload
  * d/changelog: Correct bug reference
  * Remove alien lintian tags
  * Convert Priority: extra to optional
  * d/copyright: Convert to machine-readable format (Closes: #781011)
  * Remove dh compat 9 leftovers

 -- Bastian Germann <bage@debian.org>  Thu, 30 Jun 2022 21:41:48 +0200

db5.3 (5.3.28+dfsg1-0.9) unstable; urgency=medium

  [ Dave Jones ]
  * SECURITY UPDATE: Heap out-of-bounds read
    Closes: #1010974, CVE-2019-8457.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 14 May 2022 11:56:39 +0200

db5.3 (5.3.28+dfsg1-0.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix address arithmetic in patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Feb 2021 18:02:54 +0100

db5.3 (5.3.28+dfsg1-0.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patches for GCC 10 (Closes: #957124)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 29 Jan 2021 13:27:20 +0100

db5.3 (5.3.28+dfsg1-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop myself from uploaders.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Mar 2019 04:16:54 +0000

db5.3 (5.3.28+dfsg1-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Feb 2019 09:46:07 +0100

db5.3 (5.3.28+dfsg1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the team email (Closes: #899921).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Feb 2019 08:53:49 +0100

db5.3 (5.3.28+dfsg1-0.3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Use build profiles. (Closes: #869952)

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 31 Jan 2019 15:26:11 +0100

db5.3 (5.3.28+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-enable Java bindings on m68k. (Closes: #906240)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 09 Sep 2018 09:33:40 +0200

db5.3 (5.3.28+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack the .orig tarball to eliminate prebuilt binaries that need a
    Visual Studio plugin to build from source. (Closes: #898215)
  * Fix FTBFS with Java 9, thanks Markus Koschany. (Closes: #873976)
  * Fix FTBFS with Java 10 (bogus version detection).
  * Fix FTBFS with GCC-8 (__atomic_compare_exchange).

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Aug 2018 01:12:06 +0200

db5.3 (5.3.28-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2017-10140: Reads DB_CONFIG from the current working directory.
    Do not access DB_CONFIG when db_home is not set. (Closes: #872436)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 Aug 2017 14:35:22 +0200

db5.3 (5.3.28-13) unstable; urgency=medium

  * Use https url for Vcs-Browser
  * Bump debhelper compatibility level to 10
  * Disable building gcj (Courtesy of Emmanuel Bourg)
    (Closes: #865117, #672464)
  * Remove maintscript parameters from the maintscript
    (Closes: #839953)


