=== debian/rules ===
--- 
+++ 
@@ -13,32 +13,21 @@
 include /usr/share/dpkg/architecture.mk
 
 # Don't try to build this file if missing
-/usr/share/gcj/debian_defaults /usr/share/javahelper/java-vars.mk:
+/usr/share/javahelper/java-vars.mk:
 	:
 
--include /usr/share/gcj/debian_defaults
 -include /usr/share/javahelper/java-vars.mk
 
 JAVA_BROKEN_ARCHS =
-GCJ_BROKEN_ARCHS = 
-GCJ_NATIVE_ARCHS = $(filter-out $(GCJ_BROKEN_ARCHS), $(gcj_native_archs))
 
 ENABLE_JAVA=no
-ENABLE_GCJ=no
 
 ifeq (,$(filter $(DEB_HOST_ARCH), $(JAVA_BROKEN_ARCHS)))
   ENABLE_JAVA=yes
-ifneq (,$(filter $(DEB_HOST_ARCH), $(GCJ_NATIVE_ARCHS)))
-  ENABLE_GCJ=yes
-endif
-endif
-
-ifeq ($(DEB_STAGE),stage1)
+endif
+
+ifneq (,$(filter nojava,$(DEB_BUILD_PROFILES)))
   ENABLE_JAVA=no
-  ENABLE_GCJ=no
-  ENABLE_TCL=no
-else
-  ENABLE_TCL=yes
 endif
 
 CONFIGURE_SWITCHES =    --prefix=/usr \
@@ -52,7 +41,7 @@
 			--enable-stl \
 			--enable-dbm
 
-ifeq ($(ENABLE_TCL),yes)
+ifeq (,$(filter pkg.db5.3.notcl,$(DEB_BUILD_PROFILES)))
   ENABLE_TESTS=yes
   CONFIGURE_SWITCHES += --enable-tcl
 ifneq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/tcl*))
@@ -66,18 +55,8 @@
   DH_OPTIONS += -Nlibdb5.1-tcl
 endif
 
-ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
   ENABLE_TESTS=no
-endif
-
-ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-  ENABLE_TESTS=no
-endif
-
-ifeq ($(ENABLE_TESTS),yes)
-  CONFIGURE_SWITCHES += --enable-test
-else
-  CONFIGURE_SWITCHES += --disable-test
 endif
 
 ifeq (zx86_64-linux-gnuz,z$(DEB_HOST_GNU_TYPE)z)
@@ -88,28 +67,22 @@
 endif
 
 ifeq (yes,$(ENABLE_JAVA))
-JAVACFLAGS=-source 1.5 -target 1.5
+JAVACFLAGS=-source 1.7 -target 1.7
 JAVA_HOME ?= /usr/lib/jvm/default-java
 CFLAGS += -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
 CONFIGURE_SWITCHES += --enable-java
 DH_PLUGINS += --with=javahelper
 else
 CONFIGURE_SWITCHES += --disable-java
-DH_OPTIONS += -Nlibdb5.3-java -Nlibdb5.3-java-dev -Nlibdb5.3-java-gcj -Nlibdb5.3-java-jni
-endif
-
-ifeq (no,$(ENABLE_GCJ))
-DH_OPTIONS += -Nlibdb5.3-java-gcj
-endif
-
-ifeq (no,$(ENABLE_SQL))
-DH_OPTIONS += -Nlibdb5.1-sql
+endif
+
+ifneq (,$(filter pkg.db5.3.nosql,$(DEB_BUILD_PROFILES)))
   CONFIGURE_SWITCHES += --disable-sql
 endif
 
 
 BROKEN_CPUS = zs390z
-VERY_BROKEN_CPUS = zm68kz zhppaz
+VERY_BROKEN_CPUS = zhppaz
 BROKEN_SYSTEMS = zgnuz
 VERY_BROKEN_SYSTEMS =
 
@@ -123,25 +96,61 @@
 version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
 version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')
 
+LIBTOOL_AUX_FILES=config.guess config.sub install-sh ltmain.sh
+LIBTOOL_MACROS_FILES=libtool.m4 ltoptions.m4 ltsugar.m4 ltversion.m4 lt~obsolete.m4
+
+RECONF_FILES=dist/config.hin \
+             dist/configure \
+             $(patsubst %,dist/%,$(LIBTOOL_AUX_FILES)) \
+             $(patsubst %,dist/aclocal/%,$(LIBTOOL_MACROS_FILES)) \
+             lang/sql/sqlite/aclocal.m4 \
+             lang/sql/sqlite/configure \
+             $(patsubst %,lang/sql/sqlite/%,$(LIBTOOL_AUX_FILES))
+
 %:
 	dh $@ --with=autotools-dev $(DH_PLUGINS)
 
 override_dh_auto_configure:
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	if [ ! -d $(CURDIR)/debian/s_config ]; then \
+	  mkdir -p $(CURDIR)/debian/s_config/dist/aclocal/ \
+	           $(CURDIR)/debian/s_config/lang/sql/sqlite/; \
+	fi
+	for f in $(RECONF_FILES); do \
+	  if [ ! -f $(CURDIR)/debian/s_config/$$f ]; then \
+	    mv $(CURDIR)/$$f $(CURDIR)/debian/s_config/`dirname $$f`; \
+	  fi; \
+	done
+	cd dist && libtoolize -cfi
+	cd lang/sql/sqlite && libtoolize -cfi
+	cd dist && ./s_config
+ifeq ($(ENABLE_TESTS),yes)
 	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild-test -- $(CONFIGURE_SWITCHES) --enable-test
 endif
 	JAVACFLAGS="$(JAVACFLAGS)" dh_auto_configure -Ddist -Bbuild-production -- $(CONFIGURE_SWITCHES) --disable-test
 
 override_dh_auto_clean:
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(ENABLE_TESTS),yes)
 	dh_auto_clean -Ddist -Bbuild-test
 endif
 	dh_auto_clean -Ddist -Bbuild-production
 	rm -f $(CURDIR)/debian/build_signature.txt
+	for f in $(RECONF_FILES); do \
+	  if [ -f $(CURDIR)/debian/s_config/$$f ]; then \
+	    mv $(CURDIR)/debian/s_config/$$f $(CURDIR)/`dirname $$f`; \
+	  fi; \
+	done
+	if [ -d $(CURDIR)/debian/s_config/ ]; then \
+	  rmdir $(CURDIR)/debian/s_config/dist/aclocal/ \
+	        $(CURDIR)/debian/s_config/dist/ \
+	        $(CURDIR)/debian/s_config/lang/sql/sqlite/ \
+	        $(CURDIR)/debian/s_config/lang/sql/ \
+	        $(CURDIR)/debian/s_config/lang/ \
+	        $(CURDIR)/debian/s_config/; \
+	fi
 
 override_dh_auto_test:
 ifeq (,$(findstring z$(DEB_BUILD_GNU_CPU)z,$(VERY_BROKEN_CPUS))$(findstring z$(DEB_BUILD_GNU_SYSTEM)z,$(VERY_BROKEN_SYSTEMS)))
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq ($(ENABLE_TESTS),yes)
 	cd build-test && make cutest && ./cutest
 	echo 'source ../test/tcl/test.tcl; run_std;' | tclsh
 
@@ -185,7 +194,7 @@
 
 	echo -n "Berkeley DB signature is:"; $(CURDIR)/debian/db_signature
 
-ifneq ($(DEB_STAGE),stage1)
+ifneq (,$(filter nojava pkg.db5.3.notcl,$(DEB_BUILD_PROFILES)))
 	if [ -f $(CURDIR)/debian/saved_signature_$(DEB_HOST_ARCH).txt ]; then \
 	    cmp $(CURDIR)/debian/saved_signature_$(DEB_HOST_ARCH).txt         \
 	        $(CURDIR)/debian/build_signature_$(DEB_HOST_ARCH).txt         \
@@ -203,15 +212,20 @@
 
 override_dh_install:
 	dh_install -a -Xusr/doc --list-missing
-ifeq ($(ENABLE_TCL),yes)
+ifeq (,$(filter pkg.db5.3.notcl,$(DEB_BUILD_PROFILES)))
 	tcltk-depends
 endif
 
-override_dh_installdocs:
-	dh_installdocs -pdb5.3-doc
-	dh_installdocs --remaining-packages --link-doc=libdb5.3
+override_dh_installdocs-indep:
+	dh_installdocs -pdb5.3-doc -plibdb5.3-java
+
+override_dh_installdocs-arch:
+	dh_installdocs --link-doc=libdb5.3
+ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 	# Install build_signature_$(DEB_HOST_ARCH).txt to docs
+	mkdir -p $(CURDIR)/debian/libdb5.3/usr/share/doc/libdb5.3/
 	install -m 644 debian/build_signature_$(DEB_HOST_ARCH).txt $(CURDIR)/debian/libdb5.3/usr/share/doc/libdb5.3/
+endif
 
 override_dh_strip:
 	dh_strip -s --dbg-package=libdb5.3-dbg
@@ -225,6 +239,3 @@
 ifeq (yes,$(ENABLE_JAVA))
 	jh_installlibs
 endif
-ifeq (yes,$(ENABLE_GCJ))
-	dh_nativejava
-endif
